import Foundation

guard let url = Bundle.main.url(forResource: "Rockets", withExtension: "json") else {
    fatalError()
}
guard let data = try? Data(contentsOf: url) else {
    fatalError()
}

let decoder = JSONDecoder()

do {
    let response = try decoder.decode([RocketModel].self, from: data)
    for rocketModel in response {
        print(rocketModel.name)
    }
} catch {
    print(error)
}


func json() {
    let stringToReturn = """
    {
        "villains":{
          "Darth Vader":{
             "allegiance":"Dark Side",
             "ice cream":"chocolate"
          },
          "The Emperor":{
             "allegiance":"Dark Side",
             "ice cream":"strawberry"
          },
          "Boba Fett":{
             "allegiance":"Dark Side",
             "ice cream":"rum-and-raisin"
          }
        }
    }
    """
    
    let jsonPayload = stringToReturn.data(using: String.Encoding.utf8, allowLossyConversion: false)!
    
    do {
        let json = try JSONSerialization.jsonObject(with: jsonPayload, options: [JSONSerialization.ReadingOptions.mutableContainers]) as! [String: AnyObject]
        
        if let villains = json["villains"] {
            if let darthVader = villains["Darth Vader"] as? [String: String] {
                if let iceCreamFlavor = darthVader["ice cream"] {
                    print("Darth Vader considers \(iceCreamFlavor) ice cream the one true ice cream.")
                }
            }
            
        }
        
    } catch let error as Error {
        print ("We encountered an error: \(error.localizedDescription)")
    }
}


json()
        
        
        
        

    


